[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] [PATCH] run: Turn error message about missing LIBGUESTFS_PATH into warning; output to STDERR



On Fri, May 17, 2013 at 10:28:18PM +0200, Hilko Bengen wrote:
> The previous behavior caused the build to abort when trying to build
> the sysprep documentation -- without much of a hint of what went
> wrong.
> ---
>  run.in |    7 ++++---
>  1 file changed, 4 insertions(+), 3 deletions(-)
> 
> diff --git a/run.in b/run.in
> index 7545f0b..9f92306 100755
> --- a/run.in
> +++ b/run.in
> @@ -66,9 +66,10 @@ chcon --reference=/tmp tmp 2>/dev/null ||:
>  if [ "x ENABLE_APPLIANCE@" = "xyes" ]; then
>      export LIBGUESTFS_PATH="$b/appliance"
>  elif [ -z "$LIBGUESTFS_PATH" ]; then
> -    echo "run: error: You used './configure --disable-appliance' so you must put an"
> -    echo "run: error: appliance somewhere and set LIBGUESTFS_PATH to point to it."
> -    exit 1
> +    cat <<'EOF' >&2
> +run: warning: You used './configure --disable-appliance' so LIBGUESTFS_PATH
> +run: warning: has not been set oautomatically.

                                  ^^ extra 'o' crept in there

> +EOF
>  fi
>  
>  if [ -z "$LD_LIBRARY_PATH" ]; then
> -- 
> 1.7.10.4

ACK with the adjustment above.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
virt-p2v converts physical machines to virtual machines.  Boot with a
live CD or over the network (PXE) and turn machines into KVM guests.
http://libguestfs.org/virt-v2v


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]